Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMT (Generative Modeling Technologies) » How to install KM3 to Eclipse 3.3.2
How to install KM3 to Eclipse 3.3.2 [message #614881] Sun, 13 April 2008 17:50
Eclipse User
Originally posted by: m_lehmeier.gmx.de

Hello.
I need to translate KM3 files to Ecore. It was pretty easy in an earlier
installation of Eclipse, but now I have to upgrade and I can't find out
how to do it.

The Wiki only tells what it is, not how it is installed.
The manual also.
A look in the directory structure of my old Eclipse installation showed
me, that KM3 is part of a plugin called "AM3".
The download page of AM3 gives mit a zip-File that is supposed to
contain (among others) the plugin org.eclipse.am3.core.
However, the plugin seems to be missing the essential jar file
KM3-parser.jar. Installing the AM3 plugin does nothing.
Then I looked inside the old KM3-parser.jar and with the ATL-Wiki I
found out that the most important class is
org.eclipse.gmt.am3.dsls.km3.KM3Projector. It seems that I need to
compile from source.
By now I know how to download a plugin von CVS. However, I get an error
because of a missing package org.eclipse.gmt.tcs.dsls.

I have no idea where to get that package.

I have come to the conclusion that KM3 in Eclipse is unusable right now.
If it isn't so, can anyone point me to an instruction that enables me to
use KM3 in any form. (even outside of Eclipse)

Note: I have now spent 8 hours trying to get KM3 working, two of which
were wasted trying to install the M2M packages. The Eclipse
documentation for its plugins and their installation is clearly a mess.

--
Lehmeier Michael (Nightshade Dragon UDIC)
Previous Topic:Scalability of eCore / oAW
Next Topic:How to install KM3 to Eclipse 3.3.2
Goto Forum:
  


Current Time: Sat Oct 25 00:12:49 GMT 2014

Powered by FUDForum. Page generated in 0.01629 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software